Subject: Re: OpenSSH server installation error on Windows Vista Business/Ultimate
From: Paul August <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 8 Jun 2009 19:18:03 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

> Please address your messages to the list.  If you wish to hire me, I
> prefer silver and gold U.S. coins.  :-)

I really wish I can afford to hire you:-)

> > I am still having trouble to set up OpenSSH server. Following the
> > suggestions below,
> 
> Which suggestions?  Please copy/ paste/ indent/ reformat the text you
> wish to comment upon into your message, and then reply immediately below
> so we don't have to guess/ infer.

Sorry for not well formated messages. I am still new to cygwin
list. I subscribed the list in the digest form, and it is not so
easy to compose a good reply from yahoo email to the messages
appeared in the list. I will try to do a better job.

> > I run mmc.exe to make sure the Administrator account is enabled. Then
> > I logon the Administrator account and from there I reinstalled cygwin
> > from scratch.
> 
> Please provide more information.  I am unaware of formal Cygwin install
> and uninstall mechanisms (e.g. *.msi, Add/Remove Programs, scripts,
> etc.), and so follow my own seat-of-the-pants procedures
> (http://cygwin.com/ml/cygwin/2009-05/msg00720.html).  Please document
> what you did/ do so that it can be repeated/ troubleshot.

This what I did:

1. Log on as Administrator.

2. Remove my existing Cygwin directory

3. Download Cygwin Setup to C:\Downloads

4. Run Cygwin Setup. Accept the default package selections (e.g.
base) and also get OpenSSH package. Download cygwin at
C:\Dowloads and install cygwin at C:\cygwin.  Have Cygwin Setup
create Start menu icon.

5. Run Cygwin Bash Shell via Start menu.

6. Run ssh-host-config -y in Cygwin Bash Shell again. The console
session is pasted below.

~> ssh-host-config -y
*** Query: Overwrite existing /etc/ssh_config file? (yes/no) yes
*** Info: Creating default /etc/ssh_config file
*** Query: Overwrite existing /etc/sshd_config file? (yes/no) yes
*** Info: Creating default /etc/sshd_config file
*** Info: Privilege separation is set to yes by default since OpenSSH 3.3.
*** Info: However, this requires a non-privileged account called 'sshd'.
*** Info: For more info on privilege separation read /usr/share/doc/openssh/READ
ME.privsep.
*** Query: Should privilege separation be used? (yes/no) yes
*** Warning: The file /etc/passwd is not readable by all.
*** Warning: Please run 'chmod +r /etc/passwd'.
*** Warning: The file /etc/group is not readable by all.
*** Warning: Please run 'chmod +r /etc/group'.
*** ERROR: Problem with LocalSystem or Adminstrator IDs
~>

> > However, when I run ssh-host-config -y
> 
> Don't use the -y option.  Automagic is bad when you're troubleshooting
> (unless, of course, you're troubleshooting the automagic ;-).
> 
> 
> > again, I still got the same error message.
> 
> If you mean:
> 
> >>> *** Warning: The file /etc/passwd is not readable by all.
> >>> *** Warning: Please run 'chmod +r /etc/passwd'.
> >>> *** Warning: The file /etc/group is not readable by all.
> >>> *** Warning: Please run 'chmod +r /etc/group'.
> >>> *** ERROR: Problem with LocalSystem or Adminstrator IDs
> 
> The warnings contain the solution (assuming you know Unix; do you know
> Unix?).  Start a Cygwin Bash shell and run the commands:
> 
>     chmod +r /etc/passwd
> 
>     chmod +r /etc/group
> 
> Then, run ssh-host-config again.  You will get one or two more sets of
> warnings/ errors with solutions.  Follow the instructions and repeat.  I
> recall it taking three or four passes and that Vista took more work than
> XP.

I have used Unix for years and have better-than-average knowledge
about using Unix/Linux/Ubuntu. I understand those warnings and
tried chmod commands. But they have no effect. I did try
ssh-host-config without -y option and it has no effect either.

> > The machine I tried above is a laptop running Windows Vista Business
> > 32bit.
> > Any more clues?
> 
> Please:
> 
> 1.  Confirm that you have installed Cygwin using the (real Vista)
> Administrator account.  Only use this account when administering Cygwin.

Yes.

> 2.  Run Cygwin Setup and make sure your installation is up to date.
> 
> 3.  Run "cygcheck" per http://cygwin.com/problems.html and save
> cygcheck.out.

It is attached to this message.

> 4.  Open a Cygwin Bash shell and attempt to configure the OpenSSH
> server.
> 
> 5.  If you're still stuck, reply to the list (cc myself if you like),
> attach cygcheck.out, include your console session (at the end or
> attached as a *.txt file), and copy/ paste key lines from the console
> session into your message with your thoughts/ comments/ questions.

Unfortunately I still have no luck.

> 6.  When you do figure it out, post a summary to the list so that
> everyone benefits.  (I am constantly rebuilding my machines with various
> flavors of Windows, Linux, BSD, etc., and have run into vaguely familiar
> problems only to STFW and find my own solutions posted on the web!)

This message is sent to the list and cc'ed to David. Similar to
my previous messages, I meant to get help from general list
subscribers. The copy cc'ed to him is for his information, not
for pressing him to give me a reply. He kindly offered his
suggestions and I really appreciate it. I will be more grateful
if he has any further suggestions.

Paul.

      

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/